Bug 989591 - [Doc] [RFE] Need ability in API to edit default quotas
[Doc] [RFE] Need ability in API to edit default quotas
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: doc-Administration_User_Guide (Show other bugs)
4.0
Unspecified Unspecified
low Severity unspecified
: ---
: 4.0
Assigned To: Summer Long
ecs-bugs
https://blueprints.launchpad.net/nova...
: Documentation, FutureFeature, Triaged
Depends On:
Blocks: 978537 1011085
  Show dependency treegraph
 
Reported: 2013-07-29 11:33 EDT by Stephen Gordon
Modified: 2014-01-05 22:37 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-05 22:37:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Gordon 2013-07-29 11:33:04 EDT
Cloned for documentation impact, refer to Bug # 978537 for implementation details.
Comment 2 Summer Long 2013-08-13 00:04:18 EDT
This shows the new command: https://review.openstack.org/#/c/29471/

Using the class quotas named `default` as the default editable quotas. We can use the following novaclient command to update default quota:

nova quota-class-update default <key> <value>
Comment 3 Summer Long 2013-09-25 22:41:48 EDT
Upstream doc bug: https://bugs.launchpad.net/openstack-manuals/+bug/1195571
Fixed with:
https://review.openstack.org/43057
https://review.openstack.org/43644/

Ready for QA, when upstream is branched to RH.

Note You need to log in before you can comment on or make changes to this bug.